# Interface FaceConfig

Configures all face-specific options: face detection, mesh analysis, age, gender, emotion detection and face description

#### Hierarchy

- GenericConfig
  - FaceConfig

- Defined in src/config.ts:86

#####
Index

### Properties

antispoof
attention
description
detector
emotion
enabled
gear
iris
liveness
mesh
modelPath
skipFrames
skipTime

## Properties

### antispoof

antispoof: Partial<FaceAntiSpoofConfig>

- Defined in src/config.ts:93

### attention

attention: Partial<FaceAttentionConfig>

- Defined in src/config.ts:89

### description

description: Partial<FaceDescriptionConfig>

- Defined in src/config.ts:91

### detector

detector: Partial<FaceDetectorConfig>

- Defined in src/config.ts:87

### emotion

emotion: Partial<FaceEmotionConfig>

- Defined in src/config.ts:92

### enabled

enabled: boolean

is module enabled?

Inherited from GenericConfig.enabled

- Defined in src/config.ts:15

### gear

gear: Partial<FaceGearConfig>

- Defined in src/config.ts:95

### iris

iris: Partial<FaceIrisConfig>

- Defined in src/config.ts:90

### liveness

liveness: Partial<FaceLivenessConfig>

- Defined in src/config.ts:94

### mesh

mesh: Partial<FaceMeshConfig>

- Defined in src/config.ts:88

### modelPath

modelPath: string

path to model json file (relative to `modelBasePath`

Inherited from GenericConfig.modelPath

- Defined in src/config.ts:17

### skipFrames

skipFrames: number

how many max frames to go without re-running model if cached results are acceptable for two-phase models such as face and hand caching applies to bounding boxes detection only

Inherited from GenericConfig.skipFrames

- Defined in src/config.ts:20

### skipTime

skipTime: number

how many max milliseconds to go without re-running model if cached results are acceptable for two-phase models such as face and hand caching applies to bounding boxes detection only

Inherited from GenericConfig.skipTime

- Defined in src/config.ts:23